<?php
/*
* Plugin Name: autometa's FOLIO
* Description: It reproduces portfolio categories and attributes in portfolios and it generates a cloud mixing categories and attributes of portfolios simply via: [pfcats] and [pfatts] and [folio].
* Version: 2.2
* Author: JorgeAmVF
* Author URI: https://profiles.wordpress.org/jorgeamvf/
* License: GPL2
 
autometa's FOLIO is developed by JorgeAmVF in order to improve the quality of Quaestio.org
and it is freely provided with the intent to help other developers to fulfill
their needs. 
 
autometa's FOLIO is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.
 
autometa's FOLIO is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with autometa's FOLIO. If not, see http://www.gnu.org/licenses/old-licenses/gpl-2.0.html.
*/

// [pfcats] = (portfolio) categories
function autometa_portfolio_categories( $atts, $content = null ) {
	global $post;
	$am_pfcats = '<span id="pfcats" class="autometa">' . get_the_term_list( $post->ID, 'project-type', $separator = ' ' ) . '</span>';
	return $am_pfcats;
}
add_shortcode( "pfcats", "autometa_portfolio_categories" );

// [pfatts] = (portfolio) attributes
function autometa_portfolio_attributes ( $atts, $content = null ) {
	global $post;
	$am_pfatts = '<span id="pfatts" class="autometa">' . get_the_term_list( $post->ID, 'project-attributes', $separator = ' ' ) . '</span>';
	return $am_pfatts;
}
add_shortcode( "pfatts", "autometa_portfolio_attributes" );

// [folio] = (portfolio) categories & attributes
function autometa_portfolio_taxonomies ( $echo = false ) {
	if ( function_exists( 'wp_tag_cloud' ) )
		$am_folio = '<span id="folio" class="autometa">' . wp_tag_cloud( array( 
			'number' => 0,
			'orderby' => 'count',
			'order' => 'RAND',
			'taxonomy' => array(
				'project-type',
				'project-attributes'
			),
		) ) . '</span>';
	return $am_folio;
}
add_shortcode( "folio", "autometa_portfolio_taxonomies" );
?>
